<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Nano102_112 Series BSP: StdDriver/src/clk.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Nano102_112 Series BSP
   &#160;<span id="projectnumber">V3.03.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for  Nano102_112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">clk.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series CLK driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div>
<p><a href="clk_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga31f678693e1aadf43a190c1e40f3cbc9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">CLK_DisableCKO</a> (void)</td></tr>
<tr class="memdesc:ga31f678693e1aadf43a190c1e40f3cbc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable frequency output function.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31f678693e1aadf43a190c1e40f3cbc9">More...</a><br /></td></tr>
<tr class="separator:ga31f678693e1aadf43a190c1e40f3cbc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga400bf10d55375e76a9eb5c68e185c2c1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga400bf10d55375e76a9eb5c68e185c2c1">CLK_DisableCKO0</a> (void)</td></tr>
<tr class="memdesc:ga400bf10d55375e76a9eb5c68e185c2c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable frequency output function.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga400bf10d55375e76a9eb5c68e185c2c1">More...</a><br /></td></tr>
<tr class="separator:ga400bf10d55375e76a9eb5c68e185c2c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0834328b84ce76eb7b911d6b47275459"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0834328b84ce76eb7b911d6b47275459">CLK_DisableCKO1</a> (void)</td></tr>
<tr class="memdesc:ga0834328b84ce76eb7b911d6b47275459"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable frequency output function(1).  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0834328b84ce76eb7b911d6b47275459">More...</a><br /></td></tr>
<tr class="separator:ga0834328b84ce76eb7b911d6b47275459"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5241b9593cac6dd5412d350c0e571e51"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">CLK_EnableCKO</a> (uint32_t u32ClkSrc, uint32_t u32ClkDiv, uint32_t u32ClkDivBy1En)</td></tr>
<tr class="memdesc:ga5241b9593cac6dd5412d350c0e571e51"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable frequency divider module clock, enable frequency divider clock function and configure frequency divider.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5241b9593cac6dd5412d350c0e571e51">More...</a><br /></td></tr>
<tr class="separator:ga5241b9593cac6dd5412d350c0e571e51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa75dabb3a6fd5794303e162873a760c8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa75dabb3a6fd5794303e162873a760c8">CLK_EnableCKO0</a> (uint32_t u32ClkSrc, uint32_t u32ClkDiv, uint32_t u32ClkDivBy1En)</td></tr>
<tr class="memdesc:gaa75dabb3a6fd5794303e162873a760c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable frequency divider module clock, enable frequency divider clock function and configure frequency divider.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa75dabb3a6fd5794303e162873a760c8">More...</a><br /></td></tr>
<tr class="separator:gaa75dabb3a6fd5794303e162873a760c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga357626455db0c8c3a534d4c9828452da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga357626455db0c8c3a534d4c9828452da">CLK_EnableCKO1</a> (uint32_t u32ClkSrc, uint32_t u32ClkDiv, uint32_t u32ClkDivBy1En)</td></tr>
<tr class="memdesc:ga357626455db0c8c3a534d4c9828452da"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable frequency divider module clock, enable frequency divider clock function and configure frequency divider. (1)  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga357626455db0c8c3a534d4c9828452da">More...</a><br /></td></tr>
<tr class="separator:ga357626455db0c8c3a534d4c9828452da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8a4f26f4731fdca63af252773ee72088"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">CLK_PowerDown</a> (void)</td></tr>
<tr class="memdesc:ga8a4f26f4731fdca63af252773ee72088"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function let system enter to Power-down mode.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8a4f26f4731fdca63af252773ee72088">More...</a><br /></td></tr>
<tr class="separator:ga8a4f26f4731fdca63af252773ee72088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0920dc6df8ce954838d45072f075b347"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">CLK_Idle</a> (void)</td></tr>
<tr class="memdesc:ga0920dc6df8ce954838d45072f075b347"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function let system enter to Idle mode.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0920dc6df8ce954838d45072f075b347">More...</a><br /></td></tr>
<tr class="separator:ga0920dc6df8ce954838d45072f075b347"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa5076ef7010baaa621da89225c14e57"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">CLK_GetHXTFreq</a> (void)</td></tr>
<tr class="memdesc:gafa5076ef7010baaa621da89225c14e57"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get external high frequency crystal frequency. The frequency unit is Hz.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafa5076ef7010baaa621da89225c14e57">More...</a><br /></td></tr>
<tr class="separator:gafa5076ef7010baaa621da89225c14e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70068a9cb9cc8099f56423a99a0dafcc"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">CLK_GetLXTFreq</a> (void)</td></tr>
<tr class="memdesc:ga70068a9cb9cc8099f56423a99a0dafcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get external low frequency crystal frequency. The frequency unit is Hz.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga70068a9cb9cc8099f56423a99a0dafcc">More...</a><br /></td></tr>
<tr class="separator:ga70068a9cb9cc8099f56423a99a0dafcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27ded0f4435751be979927718884488f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a> (void)</td></tr>
<tr class="memdesc:ga27ded0f4435751be979927718884488f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get HCLK frequency. The frequency unit is Hz.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">More...</a><br /></td></tr>
<tr class="separator:ga27ded0f4435751be979927718884488f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga15c5a1cc055a26e3da00d8dc66f05e66"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">CLK_GetPCLKFreq</a> (void)</td></tr>
<tr class="memdesc:ga15c5a1cc055a26e3da00d8dc66f05e66"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get PCLK frequency. The frequency unit is Hz.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">More...</a><br /></td></tr>
<tr class="separator:ga15c5a1cc055a26e3da00d8dc66f05e66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa95d8368f13a4b774dffbf895c750e64"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">CLK_GetCPUFreq</a> (void)</td></tr>
<tr class="memdesc:gaa95d8368f13a4b774dffbf895c750e64"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get CPU frequency. The frequency unit is Hz.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa95d8368f13a4b774dffbf895c750e64">More...</a><br /></td></tr>
<tr class="separator:gaa95d8368f13a4b774dffbf895c750e64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf42f850d36900fcf77e4643f2db5470b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf42f850d36900fcf77e4643f2db5470b">CLK_GetPLLClockFreq</a> (void)</td></tr>
<tr class="memdesc:gaf42f850d36900fcf77e4643f2db5470b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get PLL frequency. The frequency unit is Hz.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf42f850d36900fcf77e4643f2db5470b">More...</a><br /></td></tr>
<tr class="separator:gaf42f850d36900fcf77e4643f2db5470b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb2dbdffa8c62523cffa7116afbc3297"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeb2dbdffa8c62523cffa7116afbc3297">CLK_SetCoreClock</a> (uint32_t u32Hclk)</td></tr>
<tr class="memdesc:gaeb2dbdffa8c62523cffa7116afbc3297"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set HCLK frequency. The frequency unit is Hz. The range of u32Hclk is 16 ~ 32 MHz.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeb2dbdffa8c62523cffa7116afbc3297">More...</a><br /></td></tr>
<tr class="separator:gaeb2dbdffa8c62523cffa7116afbc3297"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab1a48f2301aa652d88d9235674183a24"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">CLK_SetHCLK</a> (uint32_t u32ClkSrc, uint32_t u32ClkDiv)</td></tr>
<tr class="memdesc:gab1a48f2301aa652d88d9235674183a24"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set HCLK clock source and HCLK clock divider.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab1a48f2301aa652d88d9235674183a24">More...</a><br /></td></tr>
<tr class="separator:gab1a48f2301aa652d88d9235674183a24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada76aad06147856dad5f349704112611"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">CLK_SetModuleClock</a> (uint32_t u32ModuleIdx, uint32_t u32ClkSrc, uint32_t u32ClkDiv)</td></tr>
<tr class="memdesc:gada76aad06147856dad5f349704112611"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set selected module clock source and module clock divider.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gada76aad06147856dad5f349704112611">More...</a><br /></td></tr>
<tr class="separator:gada76aad06147856dad5f349704112611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadfcb464858fe9270881d9edf102b9ed1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">CLK_EnableXtalRC</a> (uint32_t u32ClkMask)</td></tr>
<tr class="memdesc:gadfcb464858fe9270881d9edf102b9ed1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable clock source.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadfcb464858fe9270881d9edf102b9ed1">More...</a><br /></td></tr>
<tr class="separator:gadfcb464858fe9270881d9edf102b9ed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7fcb315221079b3c5ebf800253ffee8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">CLK_DisableXtalRC</a> (uint32_t u32ClkMask)</td></tr>
<tr class="memdesc:gad7fcb315221079b3c5ebf800253ffee8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable clock source.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fcb315221079b3c5ebf800253ffee8">More...</a><br /></td></tr>
<tr class="separator:gad7fcb315221079b3c5ebf800253ffee8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga517b9f3157919153e56c85ffb9ccd0ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">CLK_EnableModuleClock</a> (uint32_t u32ModuleIdx)</td></tr>
<tr class="memdesc:ga517b9f3157919153e56c85ffb9ccd0ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable module clock.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga517b9f3157919153e56c85ffb9ccd0ab">More...</a><br /></td></tr>
<tr class="separator:ga517b9f3157919153e56c85ffb9ccd0ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58ebca80b6dad0a35cbabc28cf910506"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">CLK_DisableModuleClock</a> (uint32_t u32ModuleIdx)</td></tr>
<tr class="memdesc:ga58ebca80b6dad0a35cbabc28cf910506"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable module clock.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58ebca80b6dad0a35cbabc28cf910506">More...</a><br /></td></tr>
<tr class="separator:ga58ebca80b6dad0a35cbabc28cf910506"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2c1d77ec5103fe51b332f3398d434d7f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2c1d77ec5103fe51b332f3398d434d7f">CLK_EnablePLL</a> (uint32_t u32PllClkSrc, uint32_t u32PllFreq)</td></tr>
<tr class="memdesc:ga2c1d77ec5103fe51b332f3398d434d7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set PLL frequency.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2c1d77ec5103fe51b332f3398d434d7f">More...</a><br /></td></tr>
<tr class="separator:ga2c1d77ec5103fe51b332f3398d434d7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8a05b75aaf31c9e66d353902271a751"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8a05b75aaf31c9e66d353902271a751">CLK_DisablePLL</a> (void)</td></tr>
<tr class="memdesc:gaa8a05b75aaf31c9e66d353902271a751"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable PLL.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa8a05b75aaf31c9e66d353902271a751">More...</a><br /></td></tr>
<tr class="separator:gaa8a05b75aaf31c9e66d353902271a751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5ab15677ea51c3099b27f42dc4b6fcb2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">CLK_SysTickDelay</a> (uint32_t us)</td></tr>
<tr class="memdesc:ga5ab15677ea51c3099b27f42dc4b6fcb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function execute delay function.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5ab15677ea51c3099b27f42dc4b6fcb2">More...</a><br /></td></tr>
<tr class="separator:ga5ab15677ea51c3099b27f42dc4b6fcb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4dc253bdbb63c0044d71cb37256cf3d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">CLK_EnableSysTick</a> (uint32_t u32ClkSrc, uint32_t u32Count)</td></tr>
<tr class="memdesc:gae4dc253bdbb63c0044d71cb37256cf3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable System Tick counter.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae4dc253bdbb63c0044d71cb37256cf3d">More...</a><br /></td></tr>
<tr class="separator:gae4dc253bdbb63c0044d71cb37256cf3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad9d846aeb8260e9b9ea4063647244252"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">CLK_DisableSysTick</a> (void)</td></tr>
<tr class="memdesc:gad9d846aeb8260e9b9ea4063647244252"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable System Tick counter.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad9d846aeb8260e9b9ea4063647244252">More...</a><br /></td></tr>
<tr class="separator:gad9d846aeb8260e9b9ea4063647244252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga620c121e9147b128081654d9552efe15"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">CLK_WaitClockReady</a> (uint32_t u32ClkMask)</td></tr>
<tr class="memdesc:ga620c121e9147b128081654d9552efe15"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function check selected clock source status.  <a href="group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga620c121e9147b128081654d9552efe15">More...</a><br /></td></tr>
<tr class="separator:ga620c121e9147b128081654d9552efe15"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Nano 102/112 series CLK driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>36 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/30 3:11p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="clk_8c_source.html">clk.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 6 2020 19:17:53 for Nano102_112 Series BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
